--"GetActiveTeamEntityIDs", CGame::GetActiveTeamEntityIDs );
--"GetPassiveTeamEntityIDs", CGame::GetPassiveTeamEntityIDs );

--"GetEntityPosition", CGame::GetEntityPosition );
--"GetEntityForward", CGame::GetEntityForward );
--"GetEntityUp", CGame::GetEntityUp );
--"GetEntityRight", CGame::GetEntityRight );
--"GetEntityHealth", CGame::GetEntityRight );


function DistSquared( pos1, pos2 )
	x = ((pos1[1]-pos2[1])*(pos1[1]-pos2[1]))
	y = ((pos1[2]-pos2[2])*(pos1[2]-pos2[2]))
	z = ((pos1[3]-pos2[3])*(pos1[3]-pos2[3]))
	return(x+y+z)
end

function Minimum( dataset )

	id = 0
	data = 10000000000000000

	for i = 1, 5 do
		if ( dataset[i] < data ) then
			if ( dataset[i] > 0 ) then
				id = i
				data = dataset[i]
			end
		end
	end
	return(id)
end

--function Maximum( dataset )
--	id = 0
--	data = 0
--
--	for i = 0, 4 do
--		if ( dataset[i] > data ) then
--			id = i
--			data = dataset[i]
--		end
--	end
--	return id
--end

TeamIDs = { GetActiveTeamEntityIDs() }

EnemyIDs = { GetPassiveTeamEntityIDs() }

TeamHealth =    { GetEntityHealth( TeamIDs[1] ),
			GetEntityHealth( TeamIDs[2] ),
			GetEntityHealth( TeamIDs[3] ),
			GetEntityHealth( TeamIDs[4] ),
			GetEntityHealth( TeamIDs[5] ) }

EnemyHealth =   { GetEntityHealth( EnemyIDs[1] ),
			GetEntityHealth( EnemyIDs[2] ),
			GetEntityHealth( EnemyIDs[3] ),
			GetEntityHealth( EnemyIDs[4] ),
			GetEntityHealth( EnemyIDs[5] ) }

TeamPosition =  { { GetEntityPosition( TeamIDs[1] ) },
			{ GetEntityPosition( TeamIDs[2] ) },
			{ GetEntityPosition( TeamIDs[3] ) },
			{ GetEntityPosition( TeamIDs[4] ) },
			{ GetEntityPosition( TeamIDs[5] ) } }

EnemyPosition = { { GetEntityPosition( EnemyIDs[1] ) },
			{ GetEntityPosition( EnemyIDs[2] ) },
			{ GetEntityPosition( EnemyIDs[3] ) },
			{ GetEntityPosition( EnemyIDs[4] ) },
			{ GetEntityPosition( EnemyIDs[5] ) } }

TeamWeakest = Minimum( TeamHealth )


EnemyWeakest = Minimum( EnemyHealth )

DistanceToWeakest = { 	DistSquared( EnemyPosition[EnemyWeakest], TeamPosition[1] ),
				DistSquared( EnemyPosition[EnemyWeakest], TeamPosition[2] ),
				DistSquared( EnemyPosition[EnemyWeakest], TeamPosition[3] ),
				DistSquared( EnemyPosition[EnemyWeakest], TeamPosition[4] ),
				DistSquared( EnemyPosition[EnemyWeakest], TeamPosition[5] ) }

ChosenOne = Minimum( DistanceToWeakest )

SetCurrentEntity( TeamIDs[ChosenOne] )
SetCurrentTarget( EnemyIDs[EnemyWeakest] )
SetCurrentUnitMode( 1 )
