//--------------------------------------------------------------------------------
// default.fx
//
//           
//--------------------------------------------------------------------------------

float4x4 Transform : WorldViewProjection;
//-----------------------------------------------------------------------------
struct vertex
{
    float3 position	 : POSITION;
};
//-----------------------------------------------------------------------------
struct fragment
{
    float4 position  : POSITION;
};
//-----------------------------------------------------------------------------
struct pixel
{
	float4 color : COLOR;
};
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
fragment VS( vertex IN )
{
    fragment OUT;

	OUT.position = mul( float4(IN.position, 1), Transform );

	return OUT;
}
//-----------------------------------------------------------------------------
pixel PS( fragment IN )
{
    pixel OUT;

	OUT.color = float4( 0, 1, 0.8, 1 );	

    return OUT;
}
//-----------------------------------------------------------------------------
technique T0
{
    pass P0
    {
		//FillMode = Wireframe;
   		VertexShader = compile vs_1_1 VS();
		PixelShader  = compile ps_1_1 PS();
    }
}
//-----------------------------------------------------------------------------